WebServiceWrapperComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.component.WebServiceWrapperComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.component
Class WebServiceWrapperComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.transport.soap.component.AbstractWebServiceWrapperComponent
              org.mule.transport.soap.axis.component.WebServiceWrapperComponent

All Implemented Interfaces:
  Component, MuleContextAware, Interceptor, Disposable, Initialisable, Lifecycle, Startable, Stoppable

    public class WebServiceWrapperComponent

extends AbstractWebServiceWrapperComponent

Field Summary

Fields inherited from class org.mule.transport.soap.component.AbstractWebServiceWrapperComponent
`address, addressFromMessage, logger, WS_SERVICE_URL`

Fields inherited from class org.mule.component.AbstractComponent
`disposed, disposing, initialised, interceptors, muleContext, notificationHandler, service, started, statistics, stopping`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`WebServiceWrapperComponent()`

Method Summary
`protected Object` | `doInvoke(MuleEvent event)`
`Map` | `getProperties()`
`String` | `getStyle()`
`String` | `getUse()`
`void` | `setProperties(Map properties)`
`void` | `setStyle(String style)`
`void` | `setUse(String use)`

Methods inherited from class org.mule.transport.soap.component.AbstractWebServiceWrapperComponent
`doInitialise, getAddress, isAddressFromMessage, setAddress, setAddressFromMessage`

Methods inherited from class org.mule.component.AbstractComponent
`checkDisposed, createResultMessage, dispose, doDispose, doStart, doStop, fireComponentNotification, getInterceptors, getService, getStatistics, initialise, intercept, invoke, release, setInterceptors, setMuleContext, setService, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebServiceWrapperComponent

    public WebServiceWrapperComponent()

Method Detail

### doInvoke

    protected Object doInvoke(MuleEvent event)
                       throws Exception

  Specified by:
    `doInvoke` in class `AbstractComponent`
  Throws:
    `Exception`

### getUse

    public String getUse()

### setUse

    public void setUse(String use)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getProperties

    public Map getProperties()

### setProperties

    public void setProperties(Map properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.